/* Add this line if WooCommerce is used on this site */
/* @import "woo-style.css"; */
@import "imt-css/new-style.css";

/* Child theme fonts */
:root {
    --font-family--default: 'Quicksand';
    --font-family--h--1: 'Urbanist';
    --font-family--h--2: var(--font-family--h--1);
    --font-family--h--3: var(--font-family--h--1);
    --font-family--h--4: var(--font-family--h--1);
    --font-family--h--5: var(--font-family--h--1);
    --font-family--h--6: var(--font-family--h--1);
    --font-family--h--2--footer: var(--font-family--h--1);
    --font-family--h--3--footer: var(--font-family--h--1);
    --font-family--h--4--footer: var(--font-family--h--1);
    --font-family--main-navigation: var(--font-family--default);
    --font-family--dropdown: var(--font-family--default);
    --font-family--megamenu--heading: var(--font-family--h--1);
    --font-family--gallery--caption: var(--font-family--default);
    --font-family--collapsible: var(--font-family--default);
    --font-family--tab: var(--font-family--default);
    --font-family--button: var(--font-family--default);
    --font-family--h--sub-heading--0: var(--font-family--h--1);
    --font-family--h--lead-text--0: var(--font-family--default);

}

@keyframes imt-fade-in-up {
    0% {
        opacity: 0;
        transform: translate3d(0, 24px, 0);
    }

    100% {
        opacity: 1;
        transform: translate3d(0, 0px, 0);
    }
}


/* ------- MAIN NAVIGATION ------- */
/* ------- Megamenu Styling - WITH ICONS - Green Collar ------- */
 @media only screen and (min-width: 1281px) {


   /* position and split columns  */
    /* nav.imt-main-nav>div ul>li .submenu li:not(.imt-pointer-events-none):hover>a {
        color: var(--wp--custom--imt--color--background--secondary--color) !important;
        text-decoration: underline !important;
    } */

    #main-navigation-ul>li.menu-item.imt-link-level-1.imt-pointer-events-none.megamenu.has-children>ul>div>li:nth-child(2)>ul {
        display: flex !important;
        flex-wrap: wrap;
    }

    #main-navigation-ul>li.menu-item.imt-link-level-1.imt-pointer-events-none.megamenu.has-children>ul>div>li:nth-child(2)>ul>li {
        flex: 50%;
    }

    #main-navigation-ul>li.menu-item.imt-link-level-1.imt-pointer-events-none.megamenu.has-children>ul>div>li:nth-child(2) {
        flex-grow: 2;
        flex-basis: 50%;
    }

    #main-navigation-ul>li.menu-item.imt-link-level-1.imt-pointer-events-none.megamenu.has-children>ul>div>li:nth-child(1) {
        flex-grow: 1;
        flex-basis: 25%;
    }

    /* on desktop, for nav links, add the icon on hover */
    /* will not affect buttons */
    .imt-link-level-2 .imt-menu-link::after {
        font-family: "Font Awesome 6 Pro";
        font-weight: 300;
        content: "\f178"; /* long-arrow-alt-right */
        display: inline-block;
        width: 0;
        opacity: 0;
        margin-left: 0;
        transform: translateX(-10px);
        transition: var(--wp--custom--imt--hover-transition);
        flex-shrink: 0;
    }

    .imt-link-level-2 .imt-menu-link:hover::after {
        width: 18px;
        opacity: 1;
        margin-left: calc(var(--wp--custom--imt--spacer) * 0.75);
        transform: translateX(0);
    }

    /* position and display icons, add .imt-mm-icon and your assigned unique icon to each main navigation link in the site backend */
    .imt-mm-icon a {
        position: relative;
        padding: 16px 16px 24px 32px !important;
    }

    /* COMMERCIAL - Landscape Design & Build */
    .imt-mm-icon-c-db a::before {
        background: url('/wp-content/uploads/2026/07/Bluescape-icons-V2_Landscape-Design-Commercial-Menu.png');
    }

    /* COMMERCIAL - Landscape Construction */
    .imt-mm-icon-c-lc a::before {
        background: url('/wp-content/uploads/2026/07/Bluescape-icons-V3_-Landscape-Construction-Commercial-Menu.png');
    }

    /* COMMERCIAL - Renovations */
    .imt-mm-icon-c-cr a::before {
        background: url('/wp-content/uploads/2026/07/Bluescape-icons-V2_-Commercial_Construction.png');
    }

    /* RESIDENTIAL - Landscape Design */
    .imt-mm-icon-r-db a::before {
        background: url('/wp-content/uploads/2026/07/Bluescape-icons-V2_Landscape-Design-Residential-Menu.png');
    }

    /* RESIDENTIAL - Landscape Construction */
    .imt-mm-icon-r-lc a::before {
        background: url('/wp-content/uploads/2026/07/Bluescape-icons-V2_Landscape-Construction-Residential-Menu.png');
    }

    /* RESIDENTIAL - Landscape Installation */
    .imt-mm-icon-r-li a::before {
        background: url('/wp-content/uploads/2026/07/Bluescape-icons-V2_Landscape-Installation-Residential-Menu.png');
    }

    /* RESIDENTIAL - Landscape Maintenance */
    .imt-mm-icon-r-lm a::before {
        background: url('/wp-content/uploads/2026/07/Bluescape-icons-V2_Landscape-Maintenance-Residential-Menu.png');
    }

    /* RESIDENTIAL - Pool Installation */
    .imt-mm-icon-r-pi a::before {
        background: url('/wp-content/uploads/2026/07/Bluescape-icons-V2_Pool-Installation-Residential-Menu.png');
    }

    /* RESIDENTIAL - Home Renovations */
    .imt-mm-icon-r-hr a::before {
        background: url('/wp-content/uploads/2026/07/Bluescape-icons-V2_Renovations-Commercial-Menu.png');
    }

    /* RESIDENTIAL - Home Additions */
    .imt-mm-icon-r-ha a::before {
        background: url('/wp-content/uploads/2026/07/Bluescape-icons-V2_Home-Renovations-Residential-Menu.png');
    }

    /* RESIDENTIAL - Landscaping Services */
    .imt-mm-icon-r-rls a::before {
        background: url('/wp-content/uploads/2026/08/Bluescape-icons_Landscaping.png');
    }

    /* RESIDENTIAL - Construction Services */
    .imt-mm-icon-r-cs a::before {
        background: url('/wp-content/uploads/2026/08/Bluescape-icons_Construction.png');
    }

    .imt-mm-icon a::before {
        content: '';
        position: absolute;
        top: -8px;
        left: -40px;
        background-position: center;
        background-repeat: no-repeat;
        background-size: 48px 48px;
        width: 60px;
        height: 60px;
    }
}

/* aligns images to the left */
.imt-section .imt-card-group.imt-card-style-1 .our-process-card .imt-img-container.imt-img-max-width-md {
    margin-left: 0 !important;
    }

/* hides slider dots and arrows */
.imt-hero-section .slick-dots, .imt-hero-section .slick-arrow {
    display: none !important;
  
}

@media only screen and (max-width: 801px) {

    .imt-section .imt-media-row.imt-media-row-style-default.imt-media-col-right .imt-content-col__background {
        background: linear-gradient(0deg,rgba(255, 255, 255, 1) 0%, rgba(166, 222, 222, 1) 100%) !important;

    }

    .imt-section .imt-media-row.imt-media-row-style-default.imt-media-col-left .imt-content-col__background {
        background: linear-gradient(0deg,rgba(255, 255, 255, 1) 0%, rgba(166, 222, 222, 1) 100%) !important;

    }

    .imt-buttons .imt-btn-wrapper {
        justify-content: normal;
    }

}

@media only screen and (max-width: 1100px) {

    /* wrap the 4-wide cards because of font wrapping */
    .imt-section .imt-card-group.imt-card-style-default.imt-cards-per-row-4>.acf-innerblocks-container .imt-card {
        width: calc((100% - var(--wp--custom--imt--card-group--style--1--gutter--column--default) * 1) / 2) !important;
    }

    /* wrap the 4-wide cards because of font wrapping */
    .imt-section .imt-card-group.imt-card-style-1.imt-cards-per-row-4>.acf-innerblocks-container .imt-card {
        width: calc((100% - var(--wp--custom--imt--card-group--style--1--gutter--column--default) * 1) / 2) !important;
    }

}
